CentOS 7 : mailman (CESA-2021:4913)

high Nessus Plugin ID 155863

Synopsis

The remote CentOS Linux host is missing one or more security updates.

Description

The remote CentOS Linux 7 host has a package installed that is affected by multiple vulnerabilities as referenced in the CESA-2021:4913 advisory.

- mailman: CSRF protection missing in the user options page (CVE-2016-6893)

- mailman: CSRF token bypass allows to perform CSRF attacks and account takeover (CVE-2021-42097)

- mailman: CSRF token bypass allows to perform CSRF attacks and admin takeover (CVE-2021-44227)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected mailman package.

See Also

http://www.nessus.org/u?07fc496c

https://cwe.mitre.org/data/definitions/352.html

Plugin Details

Severity: High

ID: 155863

File Name: centos_RHSA-2021-4913.nasl

Version: 1.3

Type: local

Agent: unix

Published: 12/6/2021

Updated: 5/6/2022

Supported Sensors: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure

Risk Information

CVSS Score Source: CVE-2021-42097

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: High

Base Score: 8.5

Temporal Score: 6.3

Vector: AV:N/AC:M/Au:S/C:C/I:C/A:C

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 8.8

Temporal Score: 7.7

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:centos:centos:mailman, cpe:/o:centos:centos:7

Required KB Items: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 12/2/2021

Vulnerability Publication Date: 9/2/2016

Reference Information

CVE: CVE-2016-6893, CVE-2021-42097, CVE-2021-44227

RHSA: 2021:4913

CWE: 352